Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Noise Class Reference

STK noise generator. More...

`#include <Noise.h>`

Inheritance diagram for stk::Noise:

List of all members.

## Public Member Functions
| Noise (unsigned int seed=0)
| Default constructor that can also take a specific seed value.
void | setSeed (unsigned int seed=0)
| Seed the random number generator with a specific seed value.
StkFloat | lastOut (void) const
| Return the last computed output value.
StkFloat | tick (void)
| Compute and return one output sample.
StkFrames & | tick (StkFrames &frames, unsigned int channel=0)
| Fill a channel of the StkFrames object with computed outputs.

## Detailed Description

STK noise generator.

Generic random number generation using the C rand() function. The quality of the rand() function varies from one OS to another.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Noise::Noise | ( | unsigned int | seed = `0` | ) |

Default constructor that can also take a specific seed value.

If the seed value is zero (the default value), the random number generator is seeded with the system time.

## Member Function Documentation

void stk::Noise::setSeed | ( | unsigned int | seed = `0` | ) |

Seed the random number generator with a specific seed value.

If no seed is provided or the seed value is zero, the random number generator is seeded with the current system time.

StkFrames & stk::Noise::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[inline, virtual]`

Fill a channel of the StkFrames object with computed outputs.

The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

Implements stk::Generator.

The documentation for this class was generated from the following file:

- Noise.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.